const St = imports.gi.St;
const Main = imports.ui.main;
const Lang = imports.lang;
const Gio = imports.gi.Gio;
const GLib = imports.gi.GLib;
const Shell = imports.gi.Shell;
const PopupMenu = imports.ui.popupMenu;

let item, userMenu, updstr;

function init()
{
    userMenu = Main.panel.statusArea.userMenu;
	updstr = "Update";
}

function _openUpdateManager() {
    Main.overview.hide();
    let app = Shell.AppSystem.get_default().lookup_app('gpk-update-viewer.desktop');
    app.activate();
}

function enable()
{
    item = new PopupMenu.PopupMenuItem(_(updstr));
    item.connect('activate', Lang.bind(item, _openUpdateManager));
    userMenu.menu.addMenuItem(item, 5);
}

function disable()
{
    if (item) {
        item.destroy();
    }
}
